* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: sans-serif;
}

:root {
    --green: green;
    --purple: #4C1F7A;
    --gray: gray;
}

.step_number.activeColor {
    background-color: var(--green);
}

.step_number.purple {
    background-color: var(--purple);
}

body {
    height: 100vh;
    background-color: #F2F2F2;
}

.container {
    width: min(77%, 400px);
    position: absolute;
    top: 50%;
    left: 50%;
    translate: -50% -50%;
}

.form_card {
    width: 100%;
    height: 100%;
    background-color: #fff;
    border-radius: 15px;
    padding: 15px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.form_header {
    text-align: center;
    line-height: 1.5;
}

.form_title {
    font-weight: bold;
}

.form_subtitle {
    color: gray;
    font-size: 0.8rem;
}

.steps_indicator {
    display: flex;
    align-items: center;
    gap: 10px;
}

.step_item {
    flex: 1;
    text-align: center;
    font-weight: 400;
    margin-bottom: 20px;
}

.step_number {
    background-color: var(--gray);
    width: 2rem;
    height: 2rem;
    margin: auto;
    border-radius: 1rem;
    text-align: center;
    line-height: 2rem;
    color: #fff;
    margin-bottom: 10px;
    transition: background-color 0.4s ease;
}

.step_part {
    font-size: 0.86rem;
}

.progress_bar {
    position: relative;
    width: 100%;
    height: 3px;
    background-color: #d3cece;
    border-radius: 20px;
    overflow: hidden;
}

.progress {
    position: absolute;
    left: 0;
    top: 0;
    width: 0%;
    height: 100%;
    background-color: var(--green);
    transition: width 0.5s ease;
}

.form_step {
    display: none;
    animation: fadeIn 0.4s ease forwards;
}

.form_step.active {
    display: block;
}

.input_group {
    margin-bottom: 8px;
}

label {
    display: block;
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 8px;
}

input {
    width: 100%;
    height: 100%;
    outline: none;
    padding: 8px;
    background-color: #afabab;
    color: #fff;
    font-weight: bold;
    border-radius: 10px;
    border-color: transparent;
}

input:focus {
    border-color: purple;
}

.err_msg {
    color: red;
    font-size: .76rem;
    text-align: center;
    padding-top: 3px;
}

input::placeholder {
    color: #fff;
}

.form_navigation {
    display: flex;
    align-items: center;
    gap: 10px;
}

.btn {
    border: none;
    outline: none;
    background-color: var(--purple);
    color: #fff;
    padding: 5px 10px;
    border-radius: 4px; 
    cursor: pointer;
    flex: 1;
}

.password_container {
    height: 30px;
    margin-bottom: 10px;
    position: relative;
}

.toggle_password { 
    position: absolute;
    right: .6rem;
    top: 54%;
    transform: translateY(-50%);
    border: none;
    background-color: transparent;
    cursor: pointer;
}

@keyframes fadeIn {
    0% {
        transform: translateY(-10px);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

/* inscription reussi */

.box_alert {
    position: absolute;
    left: 50%;
    top: 50%;
    translate: -50% -50%;
    background-color: #fff;
    width: 300px;
    height: 150px;
    border-radius: 10px;
    text-align: center;
    line-height: 150px;
    box-shadow: 0 0 5px #000;
    animation: alertBox 0.3s ease forwards;
}

.box_alert p {
    color: green;
    text-transform: capitalize;
    font-weight: bold;
    font-size: 1.3rem;
    cursor: default;
}

@keyframes alertBox {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
